Name:           iwd
Version:        2.17
Release:        %mkrel 1
Summary:        Wireless daemon for Linux
Group:          System/Base
License:        LGPL-2.1-or-later
URL:            https://git.kernel.org/pub/scm/network/wireless/iwd.git
Source:         https://kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
Source1: 	    iwd.init
Source2:        iwd_wifi_backend.conf

Patch0:		iwd-knownnetworks.c.patch

BuildRequires:  openssl
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
BuildRequires:  lib64ell-devel => 0.49
BuildRequires:  lib64dbus-1-devel
Requires:       networkmanager

%description
The iNet Wireless Daemon (iwd) project provides a wireless
connectivity solution. It attempts to optimise resource utilisation
of storage, runtime memory and link-time costs. It utilises the
features provided by the Linux kernel.

%prep
%setup -q
%autopatch -p1

%build
#./bootstrap
autoreconf -vfi

%configure2_5x \
    --libexecdir=%{_libexecdir}/%{name} \
    --disable-systemd-service \
	--enable-external-ell   \
        --enable-sim-hardcoded  \
        --enable-ofono          \
        --enable-wired          \
        --enable-hwsim          \
        --enable-tools

%make_build V=1

%install
rm -rf $RPM_BUILD_ROOT
%make_install

#init.d
mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install -m 0755 %SOURCE1 %{buildroot}/%{_sysconfdir}/rc.d/init.d/iwds

# nm_wifi_backend
mkdir -p %{buildroot}/%{_sysconfdir}/NetworkManager/conf.d
install %SOURCE2 %{buildroot}/%{_sysconfdir}/NetworkManager/conf.d/wifi_backend.conf

# main conf
# disable NetworkConfiguration as is done by networkmanager so [Network] stuff not applied here 
mkdir -p %{buildroot}/%{_sysconfdir}/%{name}
cat > %{buildroot}%{_sysconfdir}/%{name}/main.conf << EOF
[General]
EnableNetworkConfiguration=false
[Network] 
RoutePriorityOffset=200
NameResolvingService=resolvconf
[Scan]
DisablePeriodicScan=true
EOF

%preun
/sbin/service networkmanager stop >/dev/null 2>&1
/sbin/service iwds stop >/dev/null 2>&1
%_preun_service iwds

%post
%_post_service iwds
/sbin/chkconfig iwds reset >/dev/null 2>&1
/sbin/service iwds restart >/dev/null 2>&1
/sbin/service networkmanager restart >/dev/null 2>&1

%postun
/sbin/service networkmanager start >/dev/null 2>&1

%clean
rm -rf %{buildroot}

%files
%{_bindir}/iwctl
%{_bindir}/hwsim
%{_bindir}/iwmon
%{_sysconfdir}/rc.d/init.d/iwds
%{_sysconfdir}/%{name}/main.conf
%{_sysconfdir}/NetworkManager/conf.d/wifi_backend.conf
%{_libexecdir}/%{name}/
%dir %{_datadir}/dbus-1/system.d/
%{_datadir}/dbus-1/system.d/*.conf
%{_mandir}/man1/iwmon.1*
%{_mandir}/man1/hwsim.1.*
%{_mandir}/man1/iwctl.1.*
%{_mandir}/man5/iwd.*.5.*
%{_mandir}/man7/iwd.debug.7.*
%{_mandir}/man8/ead.8.*
%{_mandir}/man8/iwd.8.*


%changelog
* Sun Apr 21 2024 tex - 2.17-1pclos2024
- new version

* Mon Mar 11 2024 tex - 2.16-1pclos2024
- new version

* Thu Feb 15 2024 tex - 2.14-1pclos2024
- new version

* Sun Jan 28 2024 tex - 2.13-1pclos2024
- new version

* Tue Nov 28 2023 tex - 2.9-1pclos2023
- new version

* Fri Aug 25 2023 tex - 2.8-1pclos2023
- new version

* Sat Jan 07 2023 onkelho <oh.quait at gmail.com> - 2.1-1pclos2023
- new version rel

* Sat Aug 20 2022 onkelho <oh.quait at gmail.com> - 1.29-1pclos2022
- new version release

* Sun Jun 05 2022 tex - 1.28-1pclos2022
- new version

* Sun Feb 27 2022 tex - 1.25-1pclos2022
- new version

* Sun Feb 27 2022 tex - 1.23-1pclos2022
- new version

* Wed Jan 26 2022 yodelu - 1.22-1pclos2022
- new

* Fri Nov 05 2021 yodelu - 1.19-1pclos2021
- new

* Tue Oct 12 2021 yodelu - 1.18-1pclos2021
- new

* Tue Aug 17 2021 tex - 1.16-1pclos2021
- new version

* Wed Jun 30 2021 tex - 1.15-2pclos2021
- add rpm group  System/Base

* Sun Jun 27 2021 yodelu 1.15-1pclos2021
- create
